Package org.eclipse.graphiti.features.context.impl

## Class AddContext

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag
  - - org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
    - - org.eclipse.graphiti.features.context.impl.LocationContext
      - - org.eclipse.graphiti.features.context.impl.AreaContext
        - - org.eclipse.graphiti.features.context.impl.AddContext

All Implemented Interfaces:
  `IAddContext`, `IAreaContext`, `IContext`, `ILocationContext`, `ITargetConnectionContext`, `ITargetConnectionDecoratorContext`, `ITargetContext`, `IPropertyBag`

Direct Known Subclasses:
  `AddConnectionContext`

    public class AddContext
    extends AreaContext
    implements IAddContext

The Class AddContext.

### Constructor Summary

Constructors
`AddContext()` Creates a new `AddContext`.
`AddContext​(IAreaContext context, java.lang.Object newObject)` Creates a new `AddContext`.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getNewObject()` A pictogram element has to be added.
`Connection` `getTargetConnection()` Gets the target connection.
`ConnectionDecorator` `getTargetConnectionDecorator()` Gets the target connection decorator.
`ContainerShape` `getTargetContainer()` Gets the target container.
`void` `setNewObject​(java.lang.Object newObject)` Sets the new object.
`void` `setTargetConnection​(Connection targetConnection)` Sets the target connection.
`void` `setTargetConnectionDecorator​(ConnectionDecorator targetConnectionDecorator)` Sets the target connection decorator.
`void` `setTargetContainer​(ContainerShape targetContainer)` Sets the target container.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.AreaContext

`getHeight, getWidth, setHeight, setSize, setWidth`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.LocationContext

`getX, getY, setLocation, setX, setY`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.IAreaContext

`getHeight, getWidth`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Constructor Detail

#### AddContext

    public AddContext()

Creates a new `AddContext`.

#### AddContext

    public AddContext​(IAreaContext context,
                      java.lang.Object newObject)

Creates a new `AddContext`.

Parameters:
  `context` - the context
  `newObject` - the new object

### Method Detail

#### getNewObject

    public java.lang.Object getNewObject()

Description copied from interface: `IAddContext`
A pictogram element has to be added. This pictogram element has to link to a domain model element.

Specified by:
  `getNewObject` in interface `IAddContext`
Returns:
  instance of a domain model element

#### getTargetConnection

    public Connection getTargetConnection()

Description copied from interface: `ITargetConnectionContext`
Gets the target connection.

Specified by:
  `getTargetConnection` in interface `ITargetConnectionContext`
Returns:
  the target connection where the new pictogram element (currently this has to be a shape) has to be inserted

#### getTargetConnectionDecorator

    public ConnectionDecorator getTargetConnectionDecorator()

Description copied from interface: `ITargetConnectionDecoratorContext`
Gets the target connection decorator.

Specified by:
  `getTargetConnectionDecorator` in interface `ITargetConnectionDecoratorContext`
Returns:
  the target connection decorator where the new pictogram element (currently this has to be a shape) has to be inserted

#### getTargetContainer

    public ContainerShape getTargetContainer()

Description copied from interface: `ITargetContext`
Gets the target container.

Specified by:
  `getTargetContainer` in interface `ITargetContext`
Returns:
  the target container shape where the new pictogram element (currently this has to be a shape) has to be added

#### setNewObject

    public void setNewObject​(java.lang.Object newObject)

Sets the new object.

Parameters:
  `newObject` - the new object

#### setTargetContainer

    public void setTargetContainer​(ContainerShape targetContainer)

Sets the target container.

Parameters:
  `targetContainer` - The target container to set.

#### setTargetConnection

    public void setTargetConnection​(Connection targetConnection)

Sets the target connection.

Parameters:
  `targetConnection` - The target connection to set.

#### setTargetConnectionDecorator

    public void setTargetConnectionDecorator​(ConnectionDecorator targetConnectionDecorator)

Sets the target connection decorator.

Parameters:
  `targetConnectionDecorator` - The target connection decorator to set.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `AreaContext`